import n from "react";
import t from "../SizeContext.mjs";
const f = (e) => {
  const r = n.useContext(t);
  return n.useMemo(() => e ? typeof e == "string" ? e ?? r : e instanceof Function ? e(r) : r : r, [e, r]);
}, a = f;
export {
  a as default
};
